petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCEisenstatGetNoDiagonalScaling

Tells if the Eisenstat preconditioner not to do additional diagonal preconditioning. For matrices with a constant along the diagonal, this may save a small amount of work.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCEisenstatGetNoDiagonalScaling(PC pc,PetscBool *flg)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

flg -PETSC_TRUE means there is no diagonal scaling applied Many br

### Options Database Key

-pc_eisenstat_no_diagonal_scaling -Activates PCEisenstatSetNoDiagonalScaling() Many br

Many br

### Note

If you use the KPSSetDiagonalScaling() or -ksp_diagonal_scale option then you will Many brlikley want to use this routine since it will save you some unneeded flops. Many br

### Keywords

PC, Eisenstat, use, diagonal, scaling, SSOR

### See Also

PCEisenstatGetOmega()

Level:intermediate
Location:src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages